#
# spec file for package kmail
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define kf6_version 6.6.0
%define qt6_version 6.6.0
%define kpim6_version 6.3.1

%bcond_without released
Name:           kmail
Version:        24.12.1
Release:        1.1
Summary:        Mail Client
License:        GPL-2.0-only
URL:            https://apps.kde.org/kmail2
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
%if %{with released}
Source1:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz.sig
Source2:        applications.keyring
%endif
BuildRequires:  kf6-extra-cmake-modules >= %{kf6_version}
BuildRequires:  libgpgmepp-devel
BuildRequires:  cmake(KF6Bookmarks) >= %{kf6_version}
BuildRequires:  cmake(KF6CalendarCore) >= %{kf6_version}
BuildRequires:  cmake(KF6Config) >= %{kf6_version}
BuildRequires:  cmake(KF6ConfigWidgets) >= %{kf6_version}
BuildRequires:  cmake(KF6Contacts) >= %{kf6_version}
BuildRequires:  cmake(KF6Crash) >= %{kf6_version}
BuildRequires:  cmake(KF6DBusAddons) >= %{kf6_version}
BuildRequires:  cmake(KF6DocTools) >= %{kf6_version}
BuildRequires:  cmake(KF6GuiAddons) >= %{kf6_version}
BuildRequires:  cmake(KF6I18n) >= %{kf6_version}
BuildRequires:  cmake(KF6IconThemes) >= %{kf6_version}
BuildRequires:  cmake(KF6ItemViews) >= %{kf6_version}
BuildRequires:  cmake(KF6JobWidgets) >= %{kf6_version}
BuildRequires:  cmake(KF6KCMUtils) >= %{kf6_version}
BuildRequires:  cmake(KF6KIO) >= %{kf6_version}
BuildRequires:  cmake(KF6Notifications) >= %{kf6_version}
BuildRequires:  cmake(KF6NotifyConfig) >= %{kf6_version}
BuildRequires:  cmake(KF6Parts) >= %{kf6_version}
BuildRequires:  cmake(KF6Service) >= %{kf6_version}
BuildRequires:  cmake(KF6Sonnet) >= %{kf6_version}
BuildRequires:  cmake(KF6StatusNotifierItem) >= %{kf6_version}
BuildRequires:  cmake(KF6TextAutoCorrectionWidgets)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KF6TextEditTextToSpeech)
BuildRequires:  cmake(KF6TextEditTextToSpeech)
BuildRequires:  cmake(KF6TextUtils)
BuildRequires:  cmake(KF6TextWidgets) >= %{kf6_version}
BuildRequires:  cmake(KF6UserFeedback) >= %{kf6_version}
BuildRequires:  cmake(KF6WidgetsAddons) >= %{kf6_version}
BuildRequires:  cmake(KF6WindowSystem) >= %{kf6_version}
BuildRequires:  cmake(KF6XmlGui) >= %{kf6_version}
BuildRequires:  cmake(KPim6Akonadi) >= %{kpim6_version}
BuildRequires:  cmake(KPim6AkonadiContactWidgets) >= %{kpim6_version}
BuildRequires:  cmake(KPim6AkonadiMime) >= %{kpim6_version}
BuildRequires:  cmake(KPim6AkonadiSearch) >= %{kpim6_version}
BuildRequires:  cmake(KPim6CalendarUtils) >= %{kpim6_version}
BuildRequires:  cmake(KPim6Gravatar) >= %{kpim6_version}
BuildRequires:  cmake(KPim6IdentityManagementCore) >= %{kpim6_version}
BuildRequires:  cmake(KPim6KSieveUi) >= %{kpim6_version}
BuildRequires:  cmake(KPim6KontactInterface) >= %{kpim6_version}
BuildRequires:  cmake(KPim6LdapWidgets) >= %{kpim6_version}
BuildRequires:  cmake(KPim6Libkdepim) >= %{kpim6_version}
BuildRequires:  cmake(KPim6Libkleo) >= %{kpim6_version}
BuildRequires:  cmake(KPim6MailCommon) >= %{kpim6_version}
BuildRequires:  cmake(KPim6MailTransport) >= %{kpim6_version}
BuildRequires:  cmake(KPim6MailTransportDBusService) >= %{kpim6_version}
BuildRequires:  cmake(KPim6MessageComposer) >= %{kpim6_version}
BuildRequires:  cmake(KPim6MessageCore) >= %{kpim6_version}
BuildRequires:  cmake(KPim6MessageList) >= %{kpim6_version}
BuildRequires:  cmake(KPim6MessageViewer) >= %{kpim6_version}
BuildRequires:  cmake(KPim6Mime) >= %{kpim6_version}
BuildRequires:  cmake(KPim6PimCommonAkonadi) >= %{kpim6_version}
BuildRequires:  cmake(KPim6TemplateParser) >= %{kpim6_version}
BuildRequires:  cmake(KPim6TextEdit) >= %{kpim6_version}
BuildRequires:  cmake(KPim6Tnef) >= %{kpim6_version}
BuildRequires:  cmake(KPim6WebEngineViewer) >= %{kpim6_version}
BuildRequires:  cmake(Qt6DBus) >= %{qt6_version}
BuildRequires:  cmake(Qt6Keychain) >= 0.14.2
BuildRequires:  cmake(Qt6Network) >= %{qt6_version}
BuildRequires:  cmake(Qt6Test) >= %{qt6_version}
BuildRequires:  cmake(Qt6WebEngineWidgets) >= %{qt6_version}
BuildRequires:  cmake(Qt6Widgets) >= %{qt6_version}
Requires:       kdepim-addons
Requires:       kdepim-runtime
Requires:       kmail-account-wizard
Requires:       kmail-application-icons
Requires:       ktextaddons
Recommends:     akonadi-import-wizard
Recommends:     akonadi-search
Recommends:     kleopatra
Recommends:     ktnef
Recommends:     mbox-importer
Recommends:     pim-data-exporter
Recommends:     pim-sieve-editor
Provides:       kmail5 = %{version}
Obsoletes:      kmail5 < %{version}
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  x86_64 %{x86_64} aarch64 riscv64

%description
KMail is the KDE mail client.

%package application-icons
Summary:        mail client icon

%description application-icons
The KMail application icon that is shared with a number of applications

%package -n ktnef
Summary:        Viewer for email attachments in TNEF format
Requires:       kdepim-runtime
Obsoletes:      ktnef5 < %{version}
Provides:       ktnef5 = %{version}

%description -n ktnef
KTNEF is a viewer for email attachments in the TNEF format.

%lang_package

%prep
%autosetup -p1

%build
%cmake_kf6

%kf6_build

%install
%kf6_install

%find_lang %{name} --with-html --all-name

%ldconfig_scriptlets

%files -n ktnef
%doc %lang(en) %{_kf6_htmldir}/en/ktnef/
%{_kf6_applicationsdir}/org.kde.ktnef.desktop
%{_kf6_bindir}/ktnef
%{_kf6_iconsdir}/*/*/*/ktnef*.png

%files
%license LICENSES/*
%{_kf6_debugdir}/kmail.categories
%{_kf6_debugdir}/kmail.renamecategories
%doc %lang(en) %{_kf6_htmldir}/en/akonadi_archivemail_agent/
%doc %lang(en) %{_kf6_htmldir}/en/akonadi_followupreminder_agent/
%doc %lang(en) %{_kf6_htmldir}/en/akonadi_sendlater_agent/
%doc %lang(en) %{_kf6_htmldir}/en/kmail2/
%{_kf6_applicationsdir}/kmail_view.desktop
%{_kf6_applicationsdir}/org.kde.kmail2.desktop
%{_kf6_applicationsdir}/org.kde.kmail-refresh-settings.desktop
%{_kf6_appstreamdir}/org.kde.kmail2.appdata.xml
%{_kf6_bindir}/akonadi_archivemail_agent
%{_kf6_bindir}/akonadi_followupreminder_agent
%{_kf6_bindir}/akonadi_mailfilter_agent
%{_kf6_bindir}/akonadi_mailmerge_agent
%{_kf6_bindir}/akonadi_sendlater_agent
%{_kf6_bindir}/akonadi_unifiedmailbox_agent
%{_kf6_bindir}/kmail
%{_kf6_bindir}/kmail-refresh-settings
%{_kf6_configkcfgdir}/archivemailagentsettings.kcfg
%{_kf6_configkcfgdir}/kmail.kcfg
%{_kf6_dbusinterfacesdir}/org.kde.kmail.kmail.xml
%{_kf6_dbusinterfacesdir}/org.kde.kmail.kmailpart.xml
%{_kf6_libdir}/libkmailprivate.so.*
%{_kf6_libdir}/libmailfilteragentprivate.so.*
%{_kf6_notificationsdir}/akonadi_*_agent.notifyrc
%{_kf6_notificationsdir}/kmail2.notifyrc
%dir %{_kf6_plugindir}/pim6
%dir %{_kf6_plugindir}/pim6/akonadi/
%{_kf6_plugindir}/pim6/akonadi/config/
%dir %{_kf6_plugindir}/pim6/kcms/
%dir %{_kf6_plugindir}/pim6/kcms/kmail
%{_kf6_plugindir}/pim6/kcms/kmail/kcm_kmail_accounts.so
%{_kf6_plugindir}/pim6/kcms/kmail/kcm_kmail_appearance.so
%{_kf6_plugindir}/pim6/kcms/kmail/kcm_kmail_composer.so
%{_kf6_plugindir}/pim6/kcms/kmail/kcm_kmail_misc.so
%{_kf6_plugindir}/pim6/kcms/kmail/kcm_kmail_plugins.so
%{_kf6_plugindir}/pim6/kcms/kmail/kcm_kmail_security.so
%dir %{_kf6_plugindir}/pim6/kcms/summary
%{_kf6_plugindir}/pim6/kcms/summary/kcmkmailsummary.so
%{_kf6_plugindir}/pim6/kcms/summary/kcmkontactsummary.so
%dir %{_kf6_plugindir}/pim6/kontact/
%{_kf6_plugindir}/pim6/kontact/kontact_kmailplugin.so
%{_kf6_plugindir}/pim6/kontact/kontact_summaryplugin.so
%{_kf6_plugindir}/kmailpart.so
%{_kf6_sharedir}/akonadi/agents/*.desktop
%{_kf6_sharedir}/dbus-1/services/org.kde.kmail.service
%{_kf6_sharedir}/kmail2/

%files application-icons
%dir %{_kf6_iconsdir}/breeze-dark/
%dir %{_kf6_iconsdir}/breeze-dark/16x16
%dir %{_kf6_iconsdir}/breeze-dark/16x16/emblems
%dir %{_kf6_iconsdir}/breeze-dark/22x22
%dir %{_kf6_iconsdir}/breeze-dark/8x8
%dir %{_kf6_iconsdir}/breeze-dark/8x8/emblems
%dir %{_kf6_iconsdir}/breeze-dark/22x22/emblems
%{_kf6_iconsdir}/breeze-dark/*/emblems/gpg-key-trust-level-*.svg
%dir %{_kf6_iconsdir}/hicolor/8x8
%dir %{_kf6_iconsdir}/hicolor/8x8/emblems
%{_kf6_iconsdir}/hicolor/*/apps/kmail.png
%{_kf6_iconsdir}/hicolor/*/emblems/gpg-key-trust-level*.svg
%{_kf6_iconsdir}/hicolor/scalable/apps/kmail.svg

%files lang -f %{name}.lang
%exclude %{_kf6_htmldir}/en/akonadi_archivemail_agent/
%exclude %{_kf6_htmldir}/en/akonadi_followupreminder_agent/
%exclude %{_kf6_htmldir}/en/akonadi_sendlater_agent/
%exclude %{_kf6_htmldir}/en/kmail2/
%exclude %{_kf6_htmldir}/en/ktnef/

%changelog
* Tue Jan  7 2025 Christophe Marin <christophe@krop.fr>
- Update to 24.12.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/24.12.1/
- Changes since 24.12.0:
  * Clean up
  * Fix typo
  * We don't have invitation support in 24.12
  * Fix support for invitation
  * Use patternNew directly
  * Implement slotRequestFullSearchFromQuickSearch
  * Start to use list of infos
  * Prepare to use MessageList::Core::SearchLineCommand::SearchLineInfo
* Sun Dec  8 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.12.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/24.12.0/
- Changes since 24.11.90:
  * Remove craft support here. We use a meta package kontact
  * Remove unused include
* Mon Dec  2 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.11.90
  * New feature release
- Changes since 24.11.80:
  * Fix use new signal
* Sat Nov 16 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.11.80
  * New feature release
- Too many changes since 24.08.3, only listing bugfixes:
  * Set the message signing state correctly when the composer is opened (kde#486254)
  * Fix bug 491076: do display one's own sender/recipient email address and name (kde#491076)
* Tue Nov  5 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.08.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/24.08.3/
- No code change since 24.08.2
* Tue Oct  8 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.08.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/24.08.2/
- Changes since 24.08.1:
  * Restore insertText() signal connection to make Quick Text plugin work
* Tue Sep 10 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.08.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/24.08.1/
- No code change since 24.08.0
* Mon Aug 19 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.08.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/24.08.0/
- Too many changes since 24.05.2, only listing bugfixes:
  * Fix crash due to deleteLater() + nested event loop (kde#486283)
- Drop patch, merged upstream:
  * 0001-Fix-crash-due-to-deleteLater-nested-event-loop.patch
* Wed Jul 10 2024 Fabian Vogt <fabian@ritter-vogt.de>
- Add patch to fix crash on opening mails for editing (kde#486283):
  * 0001-Fix-crash-due-to-deleteLater-nested-event-loop.patch
* Tue Jul  2 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.05.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/24.05.2/
- No code change since 24.05.1
* Wed Jun 12 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.05.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/24.05.1/
- No code change since 24.05.0
* Sun May 19 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.05.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/24.05.0/
- No code change since 24.04.80
* Fri May  3 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.04.80
  * New feature release
- Too many changes to list here.
* Tue Apr  9 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.02.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/24.02.2/
- Changes since 24.02.1:
  * Add context object to connect()
  * Fix bug 484420:  Monochromatic icons in system tray not always used (kde#484420)
  * Fix attachments not being automatically encrypted
  * Fix translated shortcut
  * Fix translated shortcut
  * Fix extract messages (kde#484186)
* Tue Mar 19 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.02.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/24.02.1/
- Changes since 24.02.0:
  * Fix 483844: kontact segfaults on startup (kde#483844)
  * Add debug info
  * Load info to widget
  * Add debug operator
  * Add appstream release information
  * Fix HTML injection in externally added warning widget
- Drop patch, merged upstream:
  * 0001-Fix-483844-kontact-segfaults-on-startup.patch
* Mon Mar 18 2024 Christophe Marin <christophe@krop.fr>
- Add fix for a potential kontact crash (kde#483844):
  * 0001-Fix-483844-kontact-segfaults-on-startup.patch
* Fri Feb 23 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.02.0
  * New feature release
- Changes since 24.01.95:
  * Fix mem leak
  * Fix crash on close
  * Fix showMail when kmail is not started
* Fri Feb  9 2024 Christophe Marin <christophe@krop.fr>
- Update to 24.01.95
  * https://kde.org/announcements/megarelease/6/rc2/
* Tue Dec  5 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.08.4
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/23.08.4/
- No code change since 23.08.3
* Tue Nov  7 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.08.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/23.08.3/
- No code change since 23.08.2
* Tue Oct 10 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.08.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/23.08.2/
- No code change since 23.08.1
* Tue Sep 12 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.08.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/23.08.1/
- Changes since 23.08.0:
  * Fix definition of HAVE_X11
* Sun Aug 20 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.08.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/23.08.0/
- No code change since 23.07.90
* Mon Aug 14 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.07.90
  * New feature release
- No code change since 23.07.80
* Tue Aug  1 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.07.80
  * New feature release
- Too many changes since 23.04.3, only listing bugfixes:
  * Add info when email is empty. (kde#472168)
* Tue Jul  4 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.04.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/23.04.3/
- Changes since 23.04.2:
  * Don't remove margins
  * Quote html chars in subject too
  * Remove unused QtDBus
  * kmsearchmessagemodel.cpp - Avoid crash for invalid Akonadi::Item
  * Allow to restore recent dir
  * Fix display email when we have < ... >
* Tue Jun  6 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.04.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/23.04.2/
- Changes since 23.04.1:
  * Fix display email when we have < ... >
* Tue May  9 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.04.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/23.04.1/
- Changes since 23.04.0:
  * Fix disable limit spinbox + fix layout
  * Adapt to new ktextaddons lib
  * Fix compilation with older ktextaddons versions
- Add the missing grantleetheme dependency (boo#1211157)
* Sat Apr 15 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.04.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/23.04.0/
* Fri Mar 31 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.03.90
  * New feature release
* Fri Mar 17 2023 Christophe Marin <christophe@krop.fr>
- Update to 23.03.80
  * New feature release
* Tue Feb 28 2023 Christophe Marin <christophe@krop.fr>
- Update to 22.12.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/22.12.3/
* Tue Jan 31 2023 Christophe Marin <christophe@krop.fr>
- Update to 22.12.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/22.12.2/
* Tue Jan  3 2023 Christophe Marin <christophe@krop.fr>
- Update to 22.12.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/22.12.1/
* Fri Dec  2 2022 Christophe Marin <christophe@krop.fr>
- Update to 22.12.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/22.12.0/
* Sat Nov 26 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.11.90
  * New feature release
* Sat Nov 12 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.11.80
  * New feature release
* Tue Nov  1 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.08.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/22.08.3/
* Tue Oct 11 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.08.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/22.08.2/
* Tue Sep  6 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.08.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/22.08.1/
* Sun Aug 14 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.08.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/22.08.0/
* Fri Aug  5 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.07.90
  * New feature release
* Sat Jul 16 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.07.80
  * New feature release
* Tue Jul  5 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.04.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/22.04.3/
* Wed Jun  8 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.04.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/22.04.2/
* Tue May 10 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.04.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/22.04.1/
* Mon Apr 18 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.04.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/22.04.0/
* Fri Apr  8 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.03.90
  * New feature release
* Wed Mar 23 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 22.03.80
  * New feature release
- Too many changes since 21.12.3, only listing bugfixes:
  * Don't access KMKernel when destructing KMReaderMainWin (kde#420669)
* Tue Mar  1 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.12.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/21.12.3/
- Changes since 21.12.2:
  * Fix order
  * Avoid to duplicate entries
  * Make sure helper apps we start are in path
* Tue Feb  1 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.12.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/21.12.2/
- Changes since 21.12.1:
  * Fix build with GCC 12 (standard attributes in middle of decl-specifiers)
* Tue Jan  4 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.12.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/21.12.1/
- Changes since 21.12.0:
  * Fix autotest
* Fri Dec  3 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.12.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/21.12.0/
- Changes since 21.11.90:
  * Fix layout plugins
  * Show all buttons here
  * Fix load summary (identifier is the filename now...)
  * Remove old plugin name
  * Fix update "move all to trash" action.
  * Enable new GitLab CI on stable branch.
* Sat Nov 27 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.11.90
  * New feature release
- Changes since 21.11.80:
  * Make it const + remove mem leak
  * Add modify menu + add tooltip
  * Add "modify" item
  * Add separator
  * Add some tooltips
  * Fix white-on-yellow text on ServerLabel tooltip
  * Add missing icon
  * Improve autotest
  * Allow to show original message
  * Const'ify variable
  * Add new autotests
  * Add tooltips here
  * Make sure that we don't switch to same folder
  * Create dialog on stack + const'ify pointer
  * Limit the number of history
  * Reset treeview otherwise we can't see all items
  * Debug-- + fix resize column
  * Remove historyswitchfoldermanager
  * Use collectionswitchertreeviewmanager
  * Continue to implement model
  * Add model
  * Assign parentWidget
  * Add  manager
  * Add collectionswitchertreeview widget
  * Move in own repository
* Sat Nov 13 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.11.80
  * New feature release
- Too many changes to list here.
* Tue Nov  2 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.08.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/21.08.3/
- Changes since 21.08.2:
  * Remove ASSERT here
* Tue Oct  5 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.08.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/21.08.2/
- No code change since 21.08.1
* Wed Sep  1 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.08.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/21.08.1
- Changes since 21.08.0:
  * Assign parentWidget before creating plugin.
* Fri Aug  6 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.08.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/21.08.0
- Changes since 21.07.90:
  * Drop X-KDE-Keywords entries from kcm desktop files
  * Const'ify pointer
* Fri Jul 30 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.07.90
  * New feature release
- Changes since 21.07.80:
  * Add parent to menu
* Sat Jul 17 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.07.80
  * New feature release
- Too many changes since 21.04.3, only listing bugfixes:
  * Make the Copy/Move actions in the message reader
    window work consistently (kde#435410)
- Only install the license files once
* Wed Jul  7 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.04.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/21.04.3
- No code change since 21.04.2
* Tue Jun  8 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.04.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/gear/21.04.2
- Changes since 21.04.1:
  * Allow to load eml file
* Wed May 12 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.04.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/21.04.1
- Changes since 21.04.0:
  * Add mailing_list in messagelist view menu too
  * Fix Bug 436375 - "Editing as new" selects the wrong transport (kde#436375)
* Fri Apr 16 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.04.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/gear/21.04
- Changes since 21.03.90:
  * Disable export to pdf when we don't have message
- Stop owning directories provided by the filesystem package (boo#1184786)
* Fri Apr  9 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.03.90
  * New feature release
- Changes since 21.03.80:
  * Add icon for "move to"
  * Add more missing include
  * Add missing includes (CI happy ?)
  * Add missing override + const'ify pointer
  * It seems that this include is missing
  * Remove duplicate option
* Sun Mar 21 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 21.03.80
  * New feature release
- Too many changes to list here.
* Thu Mar  4 2021 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.12.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/20.12.3
- No code change since 20.12.2
* Wed Feb  3 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update to 20.12.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2021-02-apps-update
- No code change since 20.12.1
* Tue Jan  5 2021 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.12.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2021-01-apps-update
- No code change since 20.12.0
* Sat Dec  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.12.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-12-apps-update
- No code change since 20.11.90
* Fri Nov 27 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 20.11.90
  * New feature release
- No code change since 20.11.80
* Sat Nov 14 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 20.11.80
  * New feature release
- Too many changes since 20.08.3, only listing bugfixes:
  * Fix Bug 426943 - Composer settings dialog: Word wrap at column is limited to 78 (kde#426943)
  * Fix Bug 427916 - User Feedback string about "Account configured in KMail" is misleading (kde#427916)
* Thu Nov  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.08.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-11-apps-update
- Changes since 20.08.2:
  * Add missing remove text
  * Fix Bug 427889 - Missing text when removing charset encodings (kde#427889)
  * Fix Bug 427697 - KMail did not apply data from mailto information. (kde#427697)
  * Fix encoding problem with `kmail  --msg $PWD/file.txt`
* Fri Oct  9 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.08.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-10-apps-update
- Changes since 20.08.1:
  * It was a error to call setAutoDelete(false). It will create a mem leak
  * Fix Bug 426596 - Application: "akonadi_archivemail_agent" crashed after
    closing "Configure automatic archving..."-Dialog (kde#426596)
- Dropped patches, now upstream:
  * Fix-Bug-426596.patch
* Thu Sep 17 2020 Wolfgang Bauer <wbauer@tmo.at>
- Add Fix-Bug-426596.patch to fix a possible crash of the
  archivemail agent after changing its settings (boo#1176666,
  kde#426596, kde#425786, kde#424232)
* Tue Sep  1 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.08.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-09-apps-update
- Changes since 20.08.0:
  * Fix crash when we call "save attachments" (kde#425532)
* Sun Aug  9 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 20.08.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-08-apps-update
- Changes since 20.07.90:
  * appdata: more general doc URL
* Sun Aug  2 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 20.07.90
  * New feature release
- Changes since 20.07.80:
  * Remove unused qdebug
* Sun Jul 19 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 20.07.80
  * New feature release
- Too many changes since 20.04.3, only listing bugfixes:
  * Do not clear and recreate the system tray popup menu every time (kde#421275)
* Thu Jul  9 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.04.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-07-apps-update
- Changes since 20.04.2:
  * Fix show "switch_application_language"
* Tue Jun  9 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 20.04.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-06-apps-update
- Changes since 20.04.1:
  * Add obviously missing assignment (of mimeype name)
* Fri May 15 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.04.1
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-05-apps-update
- Changes since 20.04.0:
  * Fix Bug 420327 reload email after changing html preference for contact (kde#420327)
  * Fix compile
  * Fix Bug 420327 - reload email after changing html preference for contact (kde#420327)
* Thu Apr 23 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.04.0
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-04-apps-update
- Changes since 20.03.90:
  * Fix Bug 419948 - Changing an individual folder to "Prefer HTML"
    or to "Prefer Plain Text" is not remembered after restarting
    KMail (kde#419948)
  * Refresh message when we change display format
  * Remove extra margin
  * Fix assert when removing the selected folder from the local subscription
  * Use QLatin1Char('/') here
  * Show message info about restarting apps when we change a settings
  * comment not implement userfeedback plugin
  * Disable send again when we open directly an mbox
  * Fix generate pdf file
* Sun Apr  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.03.90
  * New feature release
- Changes since 20.03.80:
  * Fix export to pdf filename
  * Do not ask users if they want to overwrite saved file twice
  * Fix clazy warning
  * Fix cppcheck warning
* Sun Mar 22 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 20.03.80
  * New feature release
- Too many changes to list here.
* Thu Mar  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.12.3
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-03-apps-update
- Changes since 19.12.2:
  * Remove temporary directory
  * Remove temporary file
* Fri Feb  7 2020 Christophe Giboudeaux <christophe@krop.fr>
- Replace %%make_jobs with %%cmake_build.
* Wed Feb  5 2020 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.12.2
  * New bugfix release
  * For more details please see:
  * https://kde.org/announcements/releases/2020-02-apps-update
- Changes since 19.12.1:
  * Fix option 'h' is already defined for help (now we can see this option)
  * Fix create mail from command line with body as utf8
  * Make sure that we show active windows
  * Fix show configure kmail
  * Fix change settings. KPIM::PIMMessageBox::fourBtnMsgBox return a QDialogButtonBox::
* Tue Jan 14 2020 Christophe Giboudeaux <christophe@krop.fr>
- Drop the unneeded python2 requirement.
* Tue Jan  7 2020 Christophe Giboudeaux <christophe@krop.fr>
- Update to 19.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/releases/19.12.1
- Changes since 19.12.0:
  * Fix change settings. KPIM::PIMMessageBox::fourBtnMsgBox return a QDialogButtonBox::
  * Update Appstream for new release
  * Fix Bug 415160 - KMail build fails if messagelib is built without Qca-qt5 (kde#415160)
* Tue Dec 10 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/releases/19.12
- Changes since 19.11.90:
  * Update Appstream for new release
  * Don't use nullptr as flag
  * Fix invalid fcc warning when we restore mail
* Sat Nov 30 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.11.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/releases/19.12-rc
- Changes since 19.11.80:
  * Show invalid fcc folder widget
  * When we use "send again" make sure to assign FCC to current folder.
  * honour notification inhibition by delaying reminders
  * Add missing Q_REQUIRED_RESULT
* Sun Nov 24 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.11.80
  * New feature release
- Too many changes since 19.08.3, only listing bugfixes:
  * Fix improve notification message (kde#411992)
  * Fix Bug 412904 - Provide option to hide menu bar in message view windows (kde#412904)
- Remove obsolete version requirements
* Thu Nov  7 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.3.php
- Changes since 19.08.2:
  * Fix Bug 412895 - Attachment detector should not trigger while saving as draft (kde#412895)
* Fri Oct 11 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.2.php
- Changes since 19.08.1:
  * Fix Bug 412122 - Crash when closing the composer (kde#412122)
  * Fix hidpi support
  * FIX Bug 411836 - Folder settings for expired message stores bad values (maildir) (kde#411836)
  * Fix compilation with Qt 5.14
* Thu Sep  5 2019 Luca Beltrame <lbeltrame@kde.org>
- Update to 19.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.1.php
- Changes since 19.08.0:
  * Fix Bug 409662 - Missing "Save Attachments..." from Multiple Emails (kde#409662)
  * Fix using correct parent widget.
* Fri Aug  9 2019 Christophe Giboudeaux <christophe@krop.fr>
- Update to 19.08.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08.0.php
- Changes since 19.07.90:
  * Adapt to KCalendarCore namespace change
* Tue Aug  6 2019 lbeltrame@kde.org
- Update to 19.07.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08-rc.php
- Changes since 19.07.80:
  * Cleanup now unused DBUS/Mailer code
  * Check if KMail is running before calling it, to avoid autostarting it at kontact startup
  * Provide DBus activation file for kmail
  * Remove wrong use of DBUS/Mailer servicetype
  * summaryview_part.h - fix build by including QMap
  * Fix apps name
* Tue Jul 23 2019 lbeltrame@kde.org
- Update to 19.07.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.08-beta.php
- Changes since 19.04.3:
  * Too many changes to list here
* Fri Jul 19 2019 Christophe Giboudeaux <christophe@krop.fr>
- Use %%_kf5_debugdir for logging categories.
* Sat Jul 13 2019 lbeltrame@kde.org
- Update to 19.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.3.php
- Changes since 19.04.2:
  * i18n: use rc.cpp for extra sources
  * Don't save htmlLoadExternalOverride when it's default value
  * Fix kontact crash on logout. (kde#404881)
  * Fix warning about Qt::AA_EnableHighDpiScaling
- Dropped patches, now upstream:
  * fix-kontact-crash-on-logout.patch
* Fri Jun  7 2019 lbeltrame@kde.org
- Update to 19.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.2.php
- Changes since 19.04.1:
  * const'ify method here
  * Fix crash when we want to open it in akonadi console
  * Archive now can't work as config dialog is a separate process now.
  * Bug 407967 - new mail: cursor jumps into blindcarboncopy (kde#407967)
  * We can save several email as mbox
- Add upstream patch to fix a kontact crash on logout (kde#404881):
  * fix-kontact-crash-on-logout.patch
- Dropped patches, now upstream:
  * Fix-Bug-407967.patch
* Tue May 28 2019 wbauer@tmo.at
- Add Fix-Bug-407967.patch to ensure that the "To:" field always
  has focus when creating a new mail (boo#1136481, kde#407967)
* Fri May 10 2019 lbeltrame@kde.org
- Update to 19.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.1.php
- Changes since 19.04.0:
  * Fix opening the New Mail Notifier agent configuration
  * Fix Bug 407143 - settings window is too small (kde#407143)
  * Really fix load recent file
  * Use default encoding
  * Fix get charset
  * Fix Bug 391631 - Identity not in list after creation (kde#391631)
* Sat Apr 20 2019 lbeltrame@kde.org
- Update to 19.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-19.04.0.php
- Changes since 19.03.90:
  * Fix autotest
  * Fix crash in autotest
  * Fix Bug 406324 - Messages detected as scam are deleted when moved to trash (kde#406324)
  * Fix bug Bug 406324 - Messages detected as scam are deleted when moved to trash
* Tue Apr  9 2019 lbeltrame@kde.org
- Update to 19.03.90
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/announce-applications-19.04-rc.php
- Changes since 19.03.80:
  * Fix insert text even in subject
  * Remove unused include
  * When we double click on a message we must use the same settings
  * Convert to camelcase include
  * Fix Bug 405775 - 'Impossible to send email' notification is too intrusive (kde#405775)
  * Allow to insert emoticon in subject too
  * Workaround qt5.13 bug
* Wed Mar 27 2019 lbeltrame@kde.org
- Update to 19.03.80
  * New feature release
  * For more details please see:
  * https://kde.org/announcements/announce-applications-19.04-beta.php
- Changes since 18.12.3:
  * Too many changes to list here
* Sat Mar  9 2019 lbeltrame@kde.org
- Update to 18.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
  * Fix Bug 403313 - Encoding problem on kmail2 5.10.1 when creating composer from command line (kde#403313)
* Sat Feb  9 2019 lbeltrame@kde.org
- Update to 18.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.2.php
- Changes since 18.12.1:
  * Fix Bug 403313 - Encoding problem on kmail2 5.10.1 when creating composer from command line (kde#403313)
* Fri Jan 11 2019 lbeltrame@kde.org
- Update to 18.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.1.php
- Changes since 18.12.0:
  * unifiedmailboxagent: Stop using std::optional.
  * Fix Bug 402378 - mailto staement , uncomplete url past to kmail composer
  * Make sure that it doesn't crash here
  * Fix Bug 401419 - Kmail crashes on trying to open any email (kde#401419)
  * Fix add parentwidget
- Dropped patches, now upstream:
  * 0001-Fix-Bug-401419-Kmail-crashes-on-trying-to-open-any-e.patch
* Fri Dec 14 2018 lbeltrame@kde.org
- Update to 18.12.0
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
  * Fix Bug 401685 - context menu option for mailing list actions confused about which list is relevant (kde#401685)
- Add upstream patch 0001-Fix-Bug-401419-Kmail-crashes-on-trying-to-open-any-e.patch:
  * Fixes Kmail crashing when trying to open a mail (kde#401419)
* Mon Dec  3 2018 lbeltrame@kde.org
- Update to 18.11.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
  * Fix mem leak
  * Fix potential mem leak
  * Fix mem leak
  * Fix mem leak
  * Make sure the unified mailbox dialog is only really shown once
  * Remove unused method
* Thu Nov 22 2018 wbauer@tmo.at
- Use gcc7 to build on Leap 42.3, the default 4.8 is too old
* Tue Nov 20 2018 Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
* Tue Nov 20 2018 lbeltrame@kde.org
- Update to 18.11.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
  * Too many changes to list here
* Thu Nov  8 2018 lbeltrame@kde.org
- Update to 18.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.3.php
- Changes since 18.08.2:
  * Fix show html format
  * Fix save format
  * Fix Bug 395711 - Since last Update kmail didn't load external images anymore (kde#395711)
  * Fix icon in notification
* Thu Oct 11 2018 lbeltrame@kde.org
- Update to 18.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.2.php
- Changes since 18.08.1:
  * Don't show quota page when quota max < 0
  * Allow to restore with mailtransportname and identity name.
  * Initialize with identity
  * Emit signal when identity is not found
  * Fix use identity, it will select correct send folder now.
  * Fix Bug 397937 - Kmail wrong trash icon (kde#397937)
* Thu Sep  6 2018 lbeltrame@kde.org
- Update to 18.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.1.php
- Changes since 18.08.0:
  * Squeeze title menu
  * Remove unused action
  * Add missing action + use zoom_menu directly
  * Remove unused action
  * Fix Bug 397717 - "View Source" option is on 2 menus i.e. "View" and "Message". (kde#397717)
  * Backport setting for delete-without-confirmation from master, without GUI.
  * Fix Quota progress bar for quota limit of 2GB and more
* Thu Aug 16 2018 christophe@krop.fr
- Update to 18.08.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08.0.php
- Changes since 18.07.80:
  * Fix enable/disable print action
  * Add warning when we can't print message
  * Add "Add Followup Reminder..." entry in messagelib popupmenu too
  * Port to setAutoSaveSettings so that saving happens before hiding. (kde#396339)
  * KMail: don't sync after save, don't reload after last sync
* Thu Jul 26 2018 lbeltrame@kde.org
- Update to 18.07.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.08-beta.php
- Changes since 18.04.3:
  * Too many changes to list here
* Fri Jul 13 2018 lbeltrame@kde.org
- Update to 18.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.3.php
- Changes since 18.04.2:
  * Fix Bug 395353 - kmail doesn't honor Subject and In-Reply-To in mailto: links (kde#395353)
  * KMail: don't move the mainwindow to the current desktop when invoking a composer
  * Fix typo in argument name
  * Allow to make working as an email when we forward message as attachment
* Thu Jun 21 2018 lbeltrame@kde.org
- Add explicit requires for pimcommon libraries (libKF5PimCommon5 and
  libKF5PimCommonAkonadi5) and for messagelib
* Fri Jun  8 2018 lbeltrame@kde.org
- Update to 18.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.2.php
- Changes since 18.04.1:
  * Bug 232911 - "Reply Without Quote" does not open message composer anymore (kde#232911)
  * Fix show two icon when we use kontact.
  * Fix warning about shortcut
* Fri May 11 2018 lbeltrame@kde.org
- Update to 18.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.1.php
- Changes since 18.04.0:
  * Set focus to viewer when we use esc
  * Distinguish between settings and explicit overrides for external content
* Wed Apr 18 2018 lbeltrame@kde.org
- Update to 18.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04.0.php
- Changes since 18.03.90:
  * None
* Fri Apr  6 2018 lbeltrame@kde.org
- Update to 18.03.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-18.04-rc.php
- Changes since 17.12.3:
  * Too many changes to list here
* Thu Mar  8 2018 lbeltrame@kde.org
- Update to 17.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
  * Rename categories file name + follow kdepim categories name
  * Fix Bug 390620 Editing an Identity while New Message window is open causes the Signature to be updated in the New Message window (kde#390620)
* Wed Feb  7 2018 lbeltrame@kde.org
- Update to 17.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
  * Fix Bug 388953 - Apply filters on folder doesn't work anymore (kde#388953)
* Thu Jan 11 2018 lbeltrame@kde.org
- Update to 17.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.1.php
- Changes since 17.12.0:
  * None
* Sat Dec  9 2017 lbeltrame@kde.org
- Update to 17.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.0.php
- Changes since 17.11.90:
  * define kf5_version
  * Fix Bug 387193 - "Paste as attachment" pastes text/plain like normal (kde#387193)
* Sat Dec  2 2017 lbeltrame@kde.org
- Update to 17.11.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12-rc.php
- Changes since 17.11.80:
  * We must show actions even we don't select text
  * Revert this changes. We can add KDEPIM_DEV_VERSION so I don't understand why it was removed. Or it was necessary to remove KDEPIM_DEV_VERSION. but it always used
  * Fix compilation
  * [komposerwin] Save configuration on window close
* Mon Nov 20 2017 lbeltrame@kde.org
- Update to 17.11.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12-beta.php
- Changes since 17.08.3:
  * Too many changes to list here
- Dropped patches, now upstream:
  * use-icon-filename-for-systray-icon.patch
* Thu Nov  9 2017 lbeltrame@kde.org
- Update to 17.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.3.php
- Changes since 17.08.2:
  * Fix bug when welcome page is displayed
  * Display  warning on top of composer + fix special case
  * Increase dependancy
  * Fix show label
* Mon Oct 16 2017 lbeltrame@kde.org
- Update to 17.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.2.php
- Changes since 17.08.1:
  * Add kconf_update script to adapt to .desktop name change in 17.08
  * Remove element not index. Now progress dialog is closed when we indexed all collections
  * Don't eat each key event
  * Update title when we switch folder.
* Tue Oct 10 2017 wbauer@tmo.at
- Add use-icon-filename-for-systray-icon.patch to use the desktop
  theme's new mail icon in the system tray (boo#1055079, kde#354820)
* Thu Sep 28 2017 wbauer@tmo.at
- Recommend akonadi-search to make index-related functionality
  work out of the box (boo#1053540, boo#1013687)
* Thu Sep  7 2017 lbeltrame@kde.org
- Update to 17.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.1.php
- Changes since 17.08.0:
  * Fix potential crash
  * Don't set KMKernel::xmlGuiInstanceName() by default (kde#362281)
  * Increase default value
  * Readd a top margin otherwise it's difficult to find splitter to resize it.
* Fri Aug 11 2017 christophe@krop.fr
- Update to KDE Applications 17.08.0
  * New feature release
  * https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
* Sat Aug  5 2017 christophe@krop.fr
- Update to KDE Applications 17.07.90
  * KDE Applications 17.07.90
  * https://www.kde.org/announcements/announce-applications-17.08-rc.php
* Sat Jul 15 2017 lbeltrame@kde.org
- Update to 17.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.3.php
- Changes since 17.04.2:
  * Add missing method for setting collection
  * Remove unused include
  * Remove not necessary include
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Make sure that we use plugin when we use sendlater feature
  * Remove old option
  * Add missing helper_p include
  * Fix list when we have empty string
  * Fix create list of emails
  * Fix typo
  * Rename methods
- Dropped upstreamed patches:
  * 0001-Add-missing-helper_p-include.patch
* Fri May 19 2017 lbeltrame@kde.org
- Add 0001-Add-missing-helper_p-include.patch: upstream patch
  to fix building with Qt 5.6
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Use a mCurrentCollection variable as discussed with david.
  * Clean stylesheet when we select a valid folder
  * Allow to add more file after --attach
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * SearchDialog: improve performance by caching collection full paths.
  * Use QFileInfo::exists(...) static method
  * Migrate some files
  * Use QByteArrayLiteral here
  * Don't allow to edit collection name in this dialogbox
  * USe new signal from indexing agent
  * Minor optimization. If collection id is not remove we don't need to call
  * Use nullptr
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * Minor optimization
  * It was an error to hide maximumattachmentsize feature
  * Minor optimization
  * Fix includes/Minor optimization
* Fri Apr  7 2017 wbauer@tmo.at
- Unconditionally build with libgpgmepp-devel/libqgpgme-devel,
  gpgmepp5 is no longer supported
* Fri Apr  7 2017 fabian@ritter-vogt.de
- Remove unnecessary ldconfig calls for ktnef
* Sat Mar 25 2017 lbeltrame@kde.org
- Update to 17.03.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-beta.php
- Changes since 16.12.3:
  * Too many changes to list here
* Thu Mar  9 2017 lbeltrame@kde.org
- Update to 16.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-16.12.3.php
- Changes since 16.12.2:
  * Use isEmpty() directly
* Thu Feb  9 2017 lbeltrame@kde.org
- Update to KDE Applications 16.12.2
  * KDE Applications 16.12.2
  * https://www.kde.org/announcements/announce-applications-16.12.2.php
* Sat Jan 14 2017 lbeltrame@kde.org
- - Update to KDE Applications 16.12.1
  * KDE Applications 16.12.1
  * https://www.kde.org/announcements/announce-applications-16.12.1.php
* Sat Dec 24 2016 wbauer@tmo.at
- Recommend akonadi-import-wizard (instead of
  akonadi-import-wizards), that's how the package is called
* Tue Dec 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.12.0
  * KDE Applications 16.12.0
  * https://www.kde.org/announcements/announce-applications-16.12.0.php
* Sat Dec  3 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.90
  * KDE Applications 16.12.0 RC
  * https://www.kde.org/announcements/announce-applications-16.12-rc.php
* Tue Nov 29 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.80
  * KDE Applications 16.12.0 Beta
  * https://www.kde.org/announcements/announce-applications-16.12-beta.php
* Sun Nov 27 2016 tittiatcoke@gmail.com
- Update spec-files to be consistent wiht KA
